org.apache.ignite.internal.processors.platform

## Class PlatformNativeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.platform.PlatformException
        - - org.apache.ignite.internal.processors.platform.PlatformNativeException

All Implemented Interfaces:
  Externalizable, Serializable

    public class PlatformNativeException
    extends PlatformException
    implements Externalizable

Exception occurred on native side.

See Also:
  Serialized Form

### Field Summary

Fields
`protected Object` `cause` Native cause.

### Constructor Summary

Constructors
Constructor and Description
`PlatformNativeException()` `Externalizable` support.
`PlatformNativeException(Object cause)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `cause()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cause

    protected Object cause

Native cause.

### Constructor Detail

#### PlatformNativeException

    public PlatformNativeException()

`Externalizable` support.

#### PlatformNativeException

    public PlatformNativeException(Object cause)

Constructor.

Parameters:
  `cause` - Native cause.

### Method Detail

#### cause

    public Object cause()

Returns:
  Native cause.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `PlatformException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018